/ api / name / gb.matchstring
GB.MatchString
Syntax

    int GB.MatchString ( const char *str , long len , const char * pattern , long lenp )

Checks if a string matches a specified pattern.

- str is the string.
- len is the string length.
- pattern is the pattern to match.
- lenp is the pattern length.

This function returns `TRUE` if the pattern matches, `FALSE` otherwise.

The pattern syntax is exactly the same as the LIKE operator.

### See also

String Management